Bug 1625002 - acpitool: Segmentation fault
Summary: acpitool: Segmentation fault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: acpitool
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Al Stone
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-03 22:38 UTC by Radostin Stoyanov
Modified: 2018-11-09 06:01 UTC (History)
3 users (show)

Fixed In Version: acpitool-0.5.1-19.fc28 acpitool-0.5.1-19.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-06 21:12:59 UTC


Attachments (Terms of Use)

Description Radostin Stoyanov 2018-09-03 22:38:18 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

On Fedora release 28 - Install acpitool and run "sudo acpitool -W <N>"
Where N is a number of device.

Steps to Reproduce:
1. sudo dnf install acpitool
2. sudo acpitool -w
3. sudo acpitool -W <N>

Actual results:

"Segmentation fault"

Additional info:

Compiling acpitool 0.5.1 and applying the following 3 patches fixed the issue. It would be great if the package could be recompiled with these patches to fix this issue.


$ wget http://downloads.sourceforge.net/sourceforge/acpitool/acpitool-0.5.1.tar.bz2
$ tar xf acpitool-0.5.1.tar.bz2
$ cd acpitool-0.5.1
$ wget https://aur.archlinux.org/cgit/aur.git/plain/linux-3.0.patch?h=acpitool -O linux-3.0.patch
$ patch -p1 < linux-3.0.patch
$ wget https://aur.archlinux.org/cgit/aur.git/plain/sysfs-battery.patch?h=acpitool -O sysfs-battery.patch
$ patch -p1 < sysfs-battery.patch
$ wget https://aur.archlinux.org/cgit/aur.git/plain/0001-Use-dynamic-structures-instead-of-predefined-ones.patch?h=acpitool -O 0001-Use-dynamic-structures-instead-of-predefined-ones.patch
$ patch -p1 < 0001-Use-dynamic-structures-instead-of-predefined-ones.patch
$ ./configure --prefix=/usr
$ make && make prefix="/usr" install

Comment 1 Fedora Update System 2018-10-26 22:39:04 UTC
acpitool-0.5.1-19.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7ab76a299a

Comment 2 Fedora Update System 2018-10-26 22:39:11 UTC
acpitool-0.5.1-19.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db6c9e45ae

Comment 3 Fedora Update System 2018-10-27 15:35:21 UTC
acpitool-0.5.1-19.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-db6c9e45ae

Comment 4 Fedora Update System 2018-10-31 18:49:47 UTC
acpitool-0.5.1-19.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7ab76a299a

Comment 5 Fedora Update System 2018-11-06 21:12:59 UTC
acpitool-0.5.1-19.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-11-09 06:01:33 UTC
acpitool-0.5.1-19.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.